Bug 92447 - sub-cell text style is removed/misapplied during search/replace
Summary: sub-cell text style is removed/misapplied during search/replace
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search Cell-Direct-Formatting-Parts
  Show dependency treegraph
 
Reported: 2015-06-30 08:59 UTC by localcbug
Modified: 2021-01-10 12:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description localcbug 2015-06-30 08:59:52 UTC
Steps to reproduce:
1) in a  new spreadsheet, enter text "AAABBB" into a Calc cell
2) select the "AAA" part of text
3) from toolbar, select "Font Color" and apply any color to AAA
4) the cell now contains "<color>AAA</color>BBB"
4) press Ctrl-H to open the Search & Replace dialog
5) Search for "B", Replace with "C", press Replace

Bug A:

Expected behaviour:
Cell should contain "<color>AAA</color>CCC".

Actual behaviour:
Cell contains "AAACCC".

This is an errorneous behaviour I was able to reproduce. A similar errorneous behaviour I originally encountered in an .xls file (saved both in Excel and Calc) resulted in "<color>AAACCC</color>" after performing the same steps (on different text with the same style).


Bug B:
Expected behaviour:
Press Ctrl-Z to undo. Cell should contain "<color>AAA</color>BBB".

Actual behaviour:
Press Ctrl-Z to undo. Cell contains "AAABBB".
Comment 1 Marc Kaulisch 2015-06-30 09:13:01 UTC
Hello localcbug,
Thank you for reporting the bug. 

For Bug A: I can confirm that the bug is present in LO 4.4.5 and  LO 5.0.0.2 64bit on Win8.1.

For Bug B: I cannot (!) confirm that the bug is present in LO 4.4.5 and  LO 5.0.0.2 64bit on Win8.1.
Comment 2 QA Administrators 2016-09-20 10:13:53 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2018-03-26 14:51:25 UTC
I can reproduce both issues with

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 751191ed2d7d6af6eddc3d738e8c45b0a2ab2572
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-22_00:36:35
Locale: de-AT (de_AT); Calc: CL

Bub B is covered with bug 38982 (Calc [EDITING, FORMATTING] find & replace causes default formatting to be applied to cells, undo working incorrectly).
Comment 4 QA Administrators 2019-03-27 03:40:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug